What are the pre-requisites for using Ottspott ? | ottspott

What are the pre-requisites for using Ottspott ?

Pre-requisites for using Ottspott :

  1. You must have at least one Slack team
  2. Your team must have at least 2 members (excluding bots). The reason for that is that we believe there are great standalone call forwarding services you can already use and that Ottspott is for teams.
  3. Your Slack authentication e-mail address must be a corporate e-mail
  4. If you are using free Slack and have 10 integrations already installed, you will have to remove one integration before installing Ottspott.
  5. You must be the Slack team primary owner or admin to install Ottspott (https://get.slack.help/hc/en-us/articles/201314026-Roles-and-permissions-in-Slack)
  6. Use the Ottspott Desktop app that you can download here: https://chrome.google.com/webstore/detail/ottspott/jifpnmbeiicjhambhempmloabbimecpn
  7. If you prefer to use Ottspott only inside Slack, you will need to set Google Chrome as the default browser (https://support.google.com/chrome/answer/95417?hl=en). For the moment, call and audio-conferencing pages only work on Chrome.